> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/queries/ordered-products.md).

# orderedProducts

### Arguments

| Argument                                                                                                          | Description                                                                              |
| ----------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------- |
| shipmentDateFrom ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))                    | Filter ordered products with a shipment date on or later then.                           |
| shipmentDateTo ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))                      | Filter ordered products with a shipment date on or prior too.                            |
| createdSince ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))                        | Filter ordered products to those created since the given datetime.                       |
| createdUntil ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))                        | Filter ordered products to those created until the given datetime.                       |
| subscriptionSignupCompletedSince ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))    | Filter ordered products to subscriptions that completed signup since the given datetime. |
| subscriptionSignupCompletedUntil ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))    | Filter ordered products to subscriptions that completed signup until the given datetime. |
| subscriptionStatuses (\[[SubscriptionStatus](/graphql-api/api-reference/objects/subscription-status.md)!])        | Filter on subscriptions status(es).                                                      |
| orderedProductStatuses (\[[OrderedProductStatus](/graphql-api/api-reference/objects/ordered-product-status.md)!]) | Filter on ordered product status(es).                                                    |
| productIds (\[[ID](/graphql-api/api-reference/objects/id.md)!])                                                   | Filter on product id(s).                                                                 |
| productSkus (\[[String](/graphql-api/api-reference/objects/string.md)!])                                          | The product SKU(s) to filter on.                                                         |
| subscriptionCountries (\[[String](/graphql-api/api-reference/objects/string.md)!])                                | Filter on subscription country code(s) (ISO 3166-1 alpha-2).                             |
| after ([String](/graphql-api/api-reference/objects/string.md))                                                    | Returns the elements in the list that come after the specified cursor.                   |
| before ([String](/graphql-api/api-reference/objects/string.md))                                                   | Returns the elements in the list that come before the specified cursor.                  |
| first ([Int](/graphql-api/api-reference/objects/int.md))                                                          | Returns the first *n* elements from the list.                                            |
| last ([Int](/graphql-api/api-reference/objects/int.md))                                                           | Returns the last *n* elements from the list.                                             |

### Return fields

#### edges (\[[OrderedProductEdge](/graphql-api/api-reference/objects/ordered-product-edge.md)])

A list of edges.

#### nodes (\[[OrderedProduct](/graphql-api/api-reference/objects/ordered-product.md)])

A list of nodes.

#### pageInfo ([PageInfo](/graphql-api/api-reference/objects/page-info.md)!)

Information to aid in pagination.

#### totalCount ([Int](/graphql-api/api-reference/objects/int.md))

The total number of items available.

#### totalCountPerProductId ([JSON](/graphql-api/api-reference/objects/json.md)!)

Returns a key value pair of product ID and the value of its ordered product count

#### totalCountPerProductSku ([JSON](/graphql-api/api-reference/objects/json.md)!)

Returns a key value pair of product SKU and the value of its ordered product count

#### totalQuantityPerProductId ([JSON](/graphql-api/api-reference/objects/json.md)!)

Returns a key value pair of product ID and the value of its ordered product total quantity

#### totalQuantityPerProductSku ([JSON](/graphql-api/api-reference/objects/json.md)!)

Returns a key value pair of product SKU and the value of its ordered product total quantity

#### totalUniqueSubscriptionAccountCount ([Int](/graphql-api/api-reference/objects/int.md))

Returns the distinct subscription account count for the filtered ordered products. Subscriptions without a subscription account are excluded.

#### totalUniqueSubscriptionCount ([Int](/graphql-api/api-reference/objects/int.md))

Returns the distinct subscription count for the filtered ordered products


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/queries/ordered-products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
